xgboost

Public Member Functions | Public Attributes | List of all members
xgboost::TreeParam Struct Reference

meta parameters of the tree More...

`#include <tree_model.h>`

Inheritance diagram for xgboost::TreeParam:
Collaboration diagram for xgboost::TreeParam:

## Public Member Functions
| TreeParam ()
| constructor More...
TreeParam | ByteSwap () const
| DMLC_DECLARE_PARAMETER (TreeParam)
bool | operator== (const TreeParam &b) const

## Public Attributes
int | deprecated_num_roots
| (Deprecated) number of start root More...
int | num_nodes
| total number of nodes More...
int | num_deleted
| number of deleted nodes More...
int | deprecated_max_depth
| maximum depth, this is a statistics of the tree More...
int | num_feature
| number of features used for tree construction More...
int | size_leaf_vector
| leaf vector size, used for vector tree used to store more than one dimensional information in tree More...
int | reserved [31]
| reserved part, make sure alignment works for 64bit More...

## Detailed Description

meta parameters of the tree

## Constructor & Destructor Documentation

## ◆ TreeParam()

xgboost::TreeParam::TreeParam | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ ByteSwap()

TreeParam xgboost::TreeParam::ByteSwap | ( |  | ) | const
| inline

## ◆ DMLC_DECLARE_PARAMETER()

xgboost::TreeParam::DMLC_DECLARE_PARAMETER | ( | TreeParam |  | ) |
| inline

## ◆ operator==()

bool xgboost::TreeParam::operator== | ( | const TreeParam & | b | ) | const
| inline

## Member Data Documentation

## ◆ deprecated_max_depth

int xgboost::TreeParam::deprecated_max_depth

maximum depth, this is a statistics of the tree

## ◆ deprecated_num_roots

int xgboost::TreeParam::deprecated_num_roots

(Deprecated) number of start root

## ◆ num_deleted

int xgboost::TreeParam::num_deleted

number of deleted nodes

## ◆ num_feature

int xgboost::TreeParam::num_feature

number of features used for tree construction

## ◆ num_nodes

int xgboost::TreeParam::num_nodes

total number of nodes

## ◆ reserved

int xgboost::TreeParam::reserved[31]

reserved part, make sure alignment works for 64bit

## ◆ size_leaf_vector

int xgboost::TreeParam::size_leaf_vector

leaf vector size, used for vector tree used to store more than one dimensional information in tree

The documentation for this struct was generated from the following file:

- /home/runner/work/xgboost/xgboost/include/xgboost/tree_model.h